org.wildfly.swarm.config.messaging.activemq.server

## Class Role<T extends Role<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.messaging.activemq.server.Role<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Role<T extends Role<T>>
      extends HashMap

  A security role.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Role(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `consume()` his permission allows the user to consume a message from a queue bound to matching addresses.
    `T` | `consume(Boolean value)` his permission allows the user to consume a message from a queue bound to matching addresses.
    `Boolean` | `createDurableQueue()` This permission allows the user to create a durable queue.
    `T` | `createDurableQueue(Boolean value)` This permission allows the user to create a durable queue.
    `Boolean` | `createNonDurableQueue()` This permission allows the user to create a temporary queue.
    `T` | `createNonDurableQueue(Boolean value)` This permission allows the user to create a temporary queue.
    `Boolean` | `deleteDurableQueue()` This permission allows the user to delete a durable queue.
    `T` | `deleteDurableQueue(Boolean value)` This permission allows the user to delete a durable queue.
    `Boolean` | `deleteNonDurableQueue()` This permission allows the user to delete a temporary queue.
    `T` | `deleteNonDurableQueue(Boolean value)` This permission allows the user to delete a temporary queue.
    `String` | `getKey()`
    `Boolean` | `manage()` This permission allows the user to invoke management operations by sending management messages to the management address.
    `T` | `manage(Boolean value)` This permission allows the user to invoke management operations by sending management messages to the management address.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `send()` This permission allows the user to send a message to matching addresses.
    `T` | `send(Boolean value)` This permission allows the user to send a message to matching addresses.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Role

          public Role(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### consume

          public Boolean consume()

      his permission allows the user to consume a message from a queue bound to matching addresses.

    - #### consume

          public T consume(Boolean value)

      his permission allows the user to consume a message from a queue bound to matching addresses.

    - #### createDurableQueue

          public Boolean createDurableQueue()

      This permission allows the user to create a durable queue.

    - #### createDurableQueue

          public T createDurableQueue(Boolean value)

      This permission allows the user to create a durable queue.

    - #### createNonDurableQueue

          public Boolean createNonDurableQueue()

      This permission allows the user to create a temporary queue.

    - #### createNonDurableQueue

          public T createNonDurableQueue(Boolean value)

      This permission allows the user to create a temporary queue.

    - #### deleteDurableQueue

          public Boolean deleteDurableQueue()

      This permission allows the user to delete a durable queue.

    - #### deleteDurableQueue

          public T deleteDurableQueue(Boolean value)

      This permission allows the user to delete a durable queue.

    - #### deleteNonDurableQueue

          public Boolean deleteNonDurableQueue()

      This permission allows the user to delete a temporary queue.

    - #### deleteNonDurableQueue

          public T deleteNonDurableQueue(Boolean value)

      This permission allows the user to delete a temporary queue.

    - #### manage

          public Boolean manage()

      This permission allows the user to invoke management operations by sending management messages to the management address.

    - #### manage

          public T manage(Boolean value)

      This permission allows the user to invoke management operations by sending management messages to the management address.

    - #### send

          public Boolean send()

      This permission allows the user to send a message to matching addresses.

    - #### send

          public T send(Boolean value)

      This permission allows the user to send a message to matching addresses.

Copyright © 2017 JBoss by Red Hat. All rights reserved.